Bug 60057 - [hampton beta1] virtual memory reservation harmless printk on bootup
Summary: [hampton beta1] virtual memory reservation harmless printk on bootup
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-02-19 16:11 UTC by Wendy Hung
Modified: 2007-04-18 16:40 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-02 15:03:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Wendy Hung 2002-02-19 16:11:01 UTC
How reproducible:
Always

Steps to Reproduce:
	
1) install hampton on machine (smp kernel)
2) reboot
3) check /var/log/messages for "reserved twice" messages.


Actual Results:  Feb 14 11:19:19 localhost syslogd 1.4.1: restart.
Feb 14 11:19:19 localhost syslog: syslogd startup succeeded
Feb 14 11:19:19 localhost syslog: klogd startup succeeded
Feb 14 11:19:19 localhost kernel: klogd 1.4.1, log source = /proc/kmsg started.
Feb 14 11:19:19 localhost kernel: Inspecting /boot/System.map-2.4.17-0.13smp
Feb 14 11:19:19 localhost portmap: portmap startup succeeded
Feb 14 11:19:20 localhost kernel: Loaded 16557 symbols from /boot/System.map-
2.4.17-0.13smp.
Feb 14 11:19:20 localhost kernel: Symbols match kernel version 2.4.17.
Feb 14 11:19:20 localhost kernel: Loaded 198 symbols from 10 modules.
Feb 14 11:19:20 localhost kernel: Linux version 2.4.17-0.13smp 
(bhcompile@asok.devel.redhat.com) (gcc version 2.96 20000731 (Red Hat Linux 7.2 
2.96-102)) #1 SMP Fri Feb 1 10:30:48 EST 2002
Feb 14 11:19:20 localhost kernel: BIOS-provided physical RAM map:
Feb 14 11:19:20 localhost kernel:  BIOS-e820: 0000000000000000 - 
000000000009e000 (usable)
Feb 14 11:19:20 localhost kernel:  BIOS-e820: 000000000009e000 - 
00000000000a0000 (reserved)
Feb 14 11:19:20 localhost kernel:  BIOS-e820: 00000000000e0000 - 
0000000000100000 (reserved)
Feb 14 11:19:20 localhost kernel:  BIOS-e820: 0000000000100000 - 
000000003fff8900 (usable)
Feb 14 11:19:20 localhost kernel:  BIOS-e820: 000000003fff8900 - 
0000000040000000 (ACPI data)
Feb 14 11:19:20 localhost kernel:  BIOS-e820: 00000000fec00000 - 
0000000100000000 (reserved)
Feb 14 11:19:20 localhost kernel: 127MB HIGHMEM available.
Feb 14 11:19:20 localhost rpc.statd[665]: Version 0.3.3 Starting
Feb 14 11:19:20 localhost nfslock: rpc.statd startup succeeded
Feb 14 11:19:20 localhost kernel: found SMP MP-table at 0009e140
Feb 14 11:19:20 localhost rc: Starting keytable:  succeeded
Feb 14 11:19:20 localhost kernel: hm, page 0009e000 reserved twice.
Feb 14 11:19:20 localhost kernel: hm, page 0009f000 reserved twice.
Feb 14 11:19:20 localhost kernel: hm, page 0009e000 reserved twice.
Feb 14 11:19:20 localhost random: Initializing random number generator:  
succeeded
Feb 14 11:19:20 localhost kernel: hm, page 0009f000 reserved twice.
Feb 14 11:19:20 localhost kernel: WARNING: MP table in the EBDA can be UNSAFE, 
contact linux-smp@vger.kernel.org if you experience SMP problems!
Feb 14 11:19:20 localhost kernel: On node 0 totalpages: 262136
Feb 14 11:19:20 localhost kernel: zone(0): 4096 pages.
Feb 14 11:19:20 localhost kernel: zone(1): 225280 pages.
Feb 14 11:19:20 localhost kernel: zone(2): 32760 pages.
Feb 14 11:19:20 localhost kernel: Intel MultiProcessor Specification v1.4
Feb 14 11:19:20 localhost kernel:     Virtual Wire compatibility mode.
Feb 14 11:19:21 localhost kernel: OEM ID: IBM ENSW Product ID: Mohawk  SMP  
APIC at: 0xFEE00000
Feb 14 11:19:21 localhost kernel: Processor #3 Pentium(tm) Pro APIC version 17
Feb 14 11:19:21 localhost kernel: Processor #0 Pentium(tm) Pro APIC version 17
Feb 14 11:19:21 localhost netfs: Mounting other filesystems:  succeeded
Feb 14 11:19:21 localhost kernel: Processor #1 Pentium(tm) Pro APIC version 17
Feb 14 11:19:21 localhost kernel: Processor #2 Pentium(tm) Pro APIC version 17
Feb 14 11:19:21 localhost kernel: I/O APIC #14 Version 17 at 0xFEC00000.
Feb 14 11:19:21 localhost kernel: I/O APIC #13 Version 17 at 0xFEC01000.
Feb 14 11:19:21 localhost kernel: Processors: 4


Additional info:

Affects multiprocessor machines (verified on IBM xSeries 240, 250, 342).

Comment 1 Wendy Hung 2002-02-19 16:50:52 UTC
Can you verify that this is a BIOS bug and just a warning?

Comment 2 Arjan van de Ven 2002-02-19 17:13:04 UTC
It is just a warning. And to be honest, I'm not 100% convinced it's a bios bug;
I see waaay to much of it......
could well be a "just to be sure" thing in the early boot code (eg to work
around bios bugs of other machines)

Comment 3 Wendy Hung 2002-03-20 19:11:01 UTC
Also seen on Pensacola Beta2.

Comment 4 Alan Cox 2002-03-28 10:55:59 UTC
Page reserved twice is coming from the bootmem code. Its a genuine bug in the
kernel code looking through the SMP boot handling. Fortunately its a harmless
(and over zealous) sanity check, nothing worse.



Comment 5 Wendy Hung 2002-05-06 18:58:11 UTC
Fixed in RH 7.3 Gold Master (Valhalla).


Note You need to log in before you can comment on or make changes to this bug.